## glsrcbin

glsrcbin

## Properties

GstElement * | src | Read / Write

## Signals

GstElement* | create-element | Run Last

## Types and Values

struct | GstGLSrcBin

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstGLSrcBin

## Implemented Interfaces

GstGLSrcBin implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | opengl
author | Matthew Waters <matthew@centricular.com>
class | Src/Video

### Element Pads

name | src
direction | source
presence | always
details | video/x-raw(ANY)

## Functions

## Types and Values

### struct GstGLSrcBin

    struct GstGLSrcBin;

## Property Details

### The `“src”` property

      “src”                      GstElement *

The GL src chain to use.

Flags: Read / Write

## Signal Details

### The `“create-element”` signal

    GstElement*
    user_function (GstGLSrcBin *object,
                   gpointer     user_data)

Will be emitted when we need the processing element/s that this bin will use

#### Parameters

object | the GstGLSrcBin |
user_data | user data set when the signal handler was connected. |

#### Returns

a new GstElement

Flags: Run Last